Firefox is now blocking Flash due to the number of security vulnerabilities it has (and has had). Many sites like YouTube have migrated away to the more secure HTML5, but a number of sites (namely online games) still require Flash. Find yourself locked out of your favorite Flash based game/site? We suggest using Chrome (which updates Flash quickly and automatically), or in Firefox, click when prompted to run Adobe Flash after acknowledging the displayed warning. Only do this if you know you have the latest version of Flash installed. Not sure if your Flash install is up to date? Our My ITXpert clients receive regular updates to common applications automatically! See for more information!